package com.mortals.xhx.common.code;

import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

public enum NormalEnum implements IBaseEnum{

	异常(0, "异常"),
	正常(1, "正常");

    private int value;
    private String desc;

    NormalEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

	public static NormalEnum getByValue(int value) {
        for (NormalEnum YesNoEnum : NormalEnum.values()) {
            if (YesNoEnum.getValue() == value) {
                return YesNoEnum;
            }
        }
        return null;
    }


	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (NormalEnum item : NormalEnum.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}

}
